import java.util.ArrayList;
import java.util.Collection;

public class Klausur
{
    private Collection<Test> dieTests;
    private Beurteiler einB;
    
    public Klausur(Collection<Test> dieTests, Beurteiler einB)
    {
        this.dieTests = dieTests;
        this.einB = einB;
    }

    public Collection<Integer> getNoten()
    {
        Collection<Integer> dieNoten = new ArrayList<Integer>();
        
        for(Test t:dieTests)
            dieNoten.add(einB.beurteile(t));
                
        return dieNoten;    
    }
}
